### Hierarchy

- unknown
  - GetDisputesReply

## Index

### Constructors

- constructor

### Methods

- addDisputes
- clearDisputesList
- getDisputesList
- serializeBinary
- setDisputesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetDisputesReply(): GetDisputesReply

- Inherited from jspb.Message.constructor

  #### Returns GetDisputesReply

## Methods

### addDisputes

- addDisputes(value?: Dispute, index?: number): Dispute

- - Defined in src/protobuf/grpc_pb.d.ts:420

  #### Parameters

  - ##### Optional value: Dispute

  - ##### Optional index: number

  #### Returns Dispute

### clearDisputesList

- clearDisputesList(): GetDisputesReply

- - Defined in src/protobuf/grpc_pb.d.ts:419

  #### Returns GetDisputesReply

### getDisputesList

- getDisputesList(): Dispute []

- - Defined in src/protobuf/grpc_pb.d.ts:417

  #### Returns Dispute []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:422

  #### Returns Uint8Array

### setDisputesList

- setDisputesList(value: Dispute []): GetDisputesReply

- - Defined in src/protobuf/grpc_pb.d.ts:418

  #### Parameters

  - ##### value: Dispute []

  #### Returns GetDisputesReply

### toObject

- toObject(includeInstance?: boolean): GetDisputesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:423

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetDisputesReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetDisputesReply

- - Defined in src/protobuf/grpc_pb.d.ts:426

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetDisputesReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetDisputesReply, reader: BinaryReader): GetDisputesReply

- - Defined in src/protobuf/grpc_pb.d.ts:427

  #### Parameters

  - ##### message: GetDisputesReply

  - ##### reader: BinaryReader

  #### Returns GetDisputesReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetDisputesReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:425

  #### Parameters

  - ##### message: GetDisputesReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetDisputesReply ): GetDisputesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:424

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetDisputesReply

  #### Returns GetDisputesReply . AsObject

Generated using TypeDoc